<?php
//YANMAH2 - Yet ANother Mobile Accelerated HatenaHaiku
//(c) 2010 YANMAH2 project
//This program is freesoftware. you can redistribute it and/ormodify it under the terms of the [GNU Affero GPL v3](http://www.gnu.org/licenses/agpl.html).
?>
<?php
define("HELLO","world");
require_once "product_definitions.php";
require_once "configurable_variables.php";
?>
<?php
ini_set('session.gc_maxlifetime', $session_file_lifetime);
ini_set('session.use_trans_sid', 0);
session_set_cookie_params($session_cookie_expire, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER["SERVER_NAME"]);
if ($custom_session_save_path != 'default'){
	session_save_path($custom_session_save_path);
}
session_start();
//session_regenerate_id(TRUE);
?>
<?php
//echo ini_get("include_path");
if ($extra_include_path != "default"){
	$default_include_path = ini_get("include_path");
	ini_set('include_path', ".:{$extra_include_path}:{$default_include_path}");
	//echo ini_get("include_path");
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta http-equiv="Content-Style-Type" content="text/css" />
	<meta http-equiv="Content-Script-Type" content="text/javascript" />
	<?php echo "<title>{$site_name}{$site_name_caption}</title>\n"; ?>
	<link rel="stylesheet" href="./found.css" />
	<link rel="icon" href="./favicon.ico" type="image/vnd.microsoft.icon" />
	<link rel="shortcut icon" href="./favicon.ico" type="image/vnd.microsoft.icon" />
</head>
<body>
<div id="header">
<?php
echo "<h1 id=\"index-head\" class=\"head1\">{$site_name}</h1>\n";
echo "<p class=\"caption\">by <abbr title=\"{$product_name_full}\">{$product_name_abbr}</abbr> Ver.{$product_version}</p>\n";
?>
</div>
<div id="index-contents" class="contents">
<div class="index-content content">
<h2 id="entries-index-head">エントリー一覧</h2>
<ul>
<li><a href="./entries.php" class="entries">みんなのエントリー</a></li>
<li><a href="./entries.php?album=public" class="entries">みんなのアルバム</a></li>
</ul>
</div>

<div class="index-content">
<h2 id="users-index-head">ユーザーのページ</h2>
<ul>
<?php
if ($_SESSION['auth'] != TRUE){
echo <<<EOL
<li><a href="./login.php" class="user">ログイン</a></li>
<li><form method="get" action="./entries.php">
<label for="username">id:</label><input type="text" name="user" maxlength="32" id="username"/><label for="username">のエントリーを</label><input type="submit" value="表示" />
</form></li>
<li><form method="get" action="./entries.php">
<label for="userflw">id:</label><input type="text" name="following" maxlength="32" id="userflw"/><label for="userflw">のアンテナを</label><input type="submit" value="表示" />
</form></li>
EOL;
}
if ($_SESSION['auth'] === TRUE){
echo <<<EOL
<li><a href="./login.php?log=out" class="user">ログアウト</a></li>
<li><a href="./entries.php?user={$_SESSION['hatenaid']}" class="user">{$_SESSION['hatenaid']} のエントリー</a></li>
<li><a href="./entries.php?following={$_SESSION['hatenaid']}" class="user">{$_SESSION['hatenaid']} のアンテナ</a></li>
EOL;
}
?>
</ul>
</div>

<div class="index-content">
<h2 id="keywords-index-head">キーワード</h2>
<ul>
<li><form method="get" action="./keywords.php">
<label for="go2keyword">キーワード</label><input type="text" name="word" maxlength="170" id="go2keyword" /><label for="go2keyword">を</label>
<input type="submit" value="検索" />
</form></li>
<?php
$request_url = "http://h.hatena.ne.jp/api/keywords/hot.json";
require_once 'keywords_processor.php';
?>
<?php
if ($_SESSION['auth'] === TRUE){
	echo '<li><a href="./keywords.php?user=' . $_SESSION['hatenaid'] . '" class="keyword">' . $_SESSION['hatenaid'] . ' のお気に入りキーワード</a></li>' . "\n";
}
?>
<li><a href="./keywords.php" class="keyword">キーワード一覧</a></li>
</ul>
</div>
</div>
<hr />
<?php
echo $footer;
?>
</body>
</html>
